<bugID>451618<Summary>Previews in ctrl-tab/all-tabs panel are not updated consistently (empty or outdated image)</Summary><Description>Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1a2pre) Gecko/20080821020645 Minefield/3.1a2pre ID:20080821020645

In some situations the preview images are not updated and show no or an outdated image.

Use the following STR to see an empty (not updated from blank tab) preview:
1. Open Firefox with one tab open and e.g. the homepage loaded
2. Click Cmd+T/Ctrl+T twice to get three tabs
3. Open the homepage within the 3rd tab
4. Press Ctrl+Tab to switch to the second tab
=&gt; Verify that both previews are shown
5. Open the homepage within the 2nd tab
6. Press Ctrl+Tab to switch back to the 3rd tab
=&gt; Verify that for the current active tab there is no preview shown
7. Press again Ctrl+Tab
=&gt; Verify that all previews are shown

Even when navigating through pages the previews are not updated:
1. Repeat steps 1-6 from the above STR
2. Click on any URL which is referenced from your homepage
3. Wait until the target page is loaded and press Ctrl+Tab
=&gt; Verify that the preview still shows the capture from the homepage

This is reproducibly on Windows and OS X.</Description></bugID>